function [alph]=DoL_damage2_tri(b,t0,t,Sc,Sc_tri,R0,alph0)
                       
%Gerhards model (1987)

%Damage accumulation for load over time shaped as an isosceles triangle
%Duration is t-t0, max stress is Sc_tri+Sc at time=(t-t0)/2

t2=(t-t0)./2; %Time to peak load
k=Sc_tri./t2; %Rate of loading

a=log(R0./b./k.*(exp(b)-1));

v=-a-b./R0.*Sc_tri./t2.*t0+b.*Sc./R0;

if Sc+Sc_tri>R0 %Designates failure if load is above R0
alph=1.1;
else

alph=R0.*t2./b./Sc_tri.*(exp(b.*Sc_tri./R0./t2.*t/2+v)...
    -exp(b.*Sc_tri./R0./t2.*t0+v)).*2+alph0; %Solved for ramp load, 
                                             %integrated from t0 to t/2. 
                                     %Doubled to account for the way down.

end
end



    
